[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TCalculatorDialog.Value

Value - the numeric value (result) returned by the calculator.

## Declaration

Source position: extdlgs.pas line 179

`published property TCalculatorDialog.Value : Double read FValue write FValue;`

## Description

Value is a Double property which contains the numeric value passed to and returned from the calculator dialog form. Value is assigned to the TCalculatorForm instance in DlgForm in the Execute method, and updated when the modal result for the form is mrOk.

Value is used as the value for the CalcDisplay property when the dialog form in DlgForm has not been assigned (contains Nil).

## See also

TCalendarDialog.Execute |  | Creates and displays the form for the calendar dialog, and captures the results.
TCalculatorForm |  | Implements the form used to display a calculator for a TCalculatorDialog instance.